summaryrefslogtreecommitdiffstats
path: root/test/integration/targets/order/runme.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/integration/targets/order/runme.sh')
-rwxr-xr-xtest/integration/targets/order/runme.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/test/integration/targets/order/runme.sh b/test/integration/targets/order/runme.sh
new file mode 100755
index 0000000..9a01c21
--- /dev/null
+++ b/test/integration/targets/order/runme.sh
@@ -0,0 +1,24 @@
+#!/usr/bin/env bash
+
+set -eux
+
+cleanup () {
+ files="shostlist.txt hostlist.txt"
+ for file in $files; do
+ if [[ -f "$file" ]]; then
+ rm -f "$file"
+ fi
+ done
+}
+
+for EXTRA in '{"inputlist": ["hostB", "hostA", "hostD", "hostC"]}' \
+ '{"myorder": "inventory", "inputlist": ["hostB", "hostA", "hostD", "hostC"]}' \
+ '{"myorder": "sorted", "inputlist": ["hostA", "hostB", "hostC", "hostD"]}' \
+ '{"myorder": "reverse_sorted", "inputlist": ["hostD", "hostC", "hostB", "hostA"]}' \
+ '{"myorder": "reverse_inventory", "inputlist": ["hostC", "hostD", "hostA", "hostB"]}' \
+ '{"myorder": "shuffle", "inputlist": ["hostC", "hostD", "hostA", "hostB"]}'
+do
+ cleanup
+ ansible-playbook order.yml --forks 1 -i inventory -e "$EXTRA" "$@"
+done
+cleanup